Description: fix some spelling errors
Origin: vendor
Bug: https://rt.cpan.org/Public/Bug/Display.html?id=70613
Forwarded: https://rt.cpan.org/Public/Bug/Display.html?id=70613 (though not this version)
Author: Damyan Ivanov <dmn@debian.org>
Reviewed-by: gregor herrmann <gregoa@debian.org>
Last-Update: 2017-01-21

--- a/lib/DBD/XBase.pm
+++ b/lib/DBD/XBase.pm
@@ -156,7 +156,7 @@
 	### return "'\Q$text\E'";
 }
 
-# Commit and rollback do not do anything usefull
+# Commit and rollback do not do anything useful
 sub commit {
 	warn "Commit ineffective while AutoCommit is on"
 		if $_[0]->FETCH('Warn');
@@ -677,7 +677,7 @@
 functions I want to support. It's easy to write them in a couple of
 minutes now the interface is there (check the XBase::SQL module if you
 want to send a patch containing support for more), it's just that I do
-not really need them and sometimes it's hard to tell what is usefull and
+not really need them and sometimes it's hard to tell what is useful and
 what is SQL92 compatible. Comment welcome.
 
 The select command may contain and order by clause. Only one column is
@@ -692,7 +692,7 @@
 
 The C<where> condition is the same as for B<select>. Examples:
 
-    delete from jobs		## emties the table
+    delete from jobs		## empties the table
     delete from jobs where companyid = "ISW"
     delete from jobs where id < ?
 
--- a/lib/XBase.pm
+++ b/lib/XBase.pm
@@ -1052,7 +1052,7 @@
 B<memofile> specifies non standard name for the associated memo file.
 By default it's the name of the dbf file, with extension dbt or fpt.
 
-B<ignorememo> ignore memo file at all. This is usefull if you've lost
+B<ignorememo> ignore memo file at all. This is useful if you've lost
 the dbt file and you do not need it. Default is false.
 
 B<memosep> separator of memo records in the dBase III dbt files. The
@@ -1198,7 +1198,7 @@
 
 =back
 
-To explicitely delete/undelete a record, use methods B<delete_record>
+To explicitly delete/undelete a record, use methods B<delete_record>
 or B<undelete_record> with record number as a parameter.
 
 Assorted examples of reading and writing:
@@ -1238,7 +1238,7 @@
 The first parameter is the file name of the index file, the rest is
 as above. For index types that can hold more index structures in on
 file, use arrayref instead of the file name and in that array include
-file name and the tag name, and optionaly the index type.
+file name and the tag name, and optionally the index type.
 The B<fetch> will then return records in the ascending order,
 according to the index.
 
@@ -1291,7 +1291,7 @@
     }
 
 The second example shows that after you have done B<find_eq>, the
-B<fetch>es continue untill the end of the index, so you have to check
+B<fetch>es continue until the end of the index, so you have to check
 whether you are still on records with given value. And if there is no
 record with value 1097 in the indexed field, you will just get the
 next record in the order.
--- a/lib/XBase/Base.pm
+++ b/lib/XBase/Base.pm
@@ -353,7 +353,7 @@
 
 =item create_file
 
-Creates file of given name. Second (optional) paramater is the
+Creates file of given name. Second (optional) parameter is the
 permission specification for the file.
 
 =back
--- a/lib/XBase/FAQ.pod
+++ b/lib/XBase/FAQ.pod
@@ -34,7 +34,7 @@
 
 The only possible format in which you can get the date and that the
 module expect for inserts and updates is a 8 char string 'YYYYMMDD'.
-It is not possible to change this format. I prefer to do the formating
+It is not possible to change this format. I prefer to do the formatting
 myself since you have more control over it.
 
 =item The C<get_record> also returns deleted records. Why?
@@ -50,7 +50,7 @@
 That's correct: B<DBD::XBase> only gives you records that are positively
 in the file and not deleted. Which shows that B<XBase.pm> is a lower
 level tool because you can touch records that are marked deleted, while
-B<DBD::XBase> is higher level -- it gives you SQL interface and let's you
+B<DBD::XBase> is higher level -- it gives you SQL interface and lets you
 work with the file more naturaly (what is deleted should stay
 deleted).
 
@@ -58,7 +58,7 @@
 
 Describe exactly, what you expect and what you get. Send me the file
 (I understand attachments, uuencode, tar, gzip and zip) so that
-I can check what it going on and make B<XBase.pm> undestand your file.
+I can check what it going on and make B<XBase.pm> understand your file.
 A small sample (three rows, or so) are generally enough but you can
 send the whole file if it doesn't have megabytes. Please understand
 
@@ -116,7 +116,7 @@
 =item Can I sue you if B<XBase.pm/DBD::XBase> corrupts my data?
 
 No. At least, I hope no. The software is provided without any
-warranty, in a hope you might find is usefull. Which is by the way
+warranty, in a hope you might find is useful. Which is by the way
 the same as with most other software, even if you pay for that. What
 is different with B<XBase.pm/DBD::XBase> is the fact that if you find out
 that the results are different from those expected, you are welcome to
@@ -201,7 +201,7 @@
 B<DBD::ODBC> could talk to. Many proprietary software can serve as ODBC
 source for dbf files, it just doesn't seem to run on Un*x systems. And
 is also much more resource intensive, if you just need to read the
-file record by record and convert it to HTML page or do similary
+file record by record and convert it to HTML page or do similarly
 simple operation with it.
 
 =item How do I pack the dbf file, after the records were deleted?
--- a/lib/XBase/Index.pm
+++ b/lib/XBase/Index.pm
@@ -1757,7 +1757,7 @@
   cdx	Yes		Yes		Untested
 
 
-  Writing of index files -- not supported untill the reading
+  Writing of index files -- not supported until the reading
   is stable enough.
 
 So if you have access to an index file that is untested or unsupported
@@ -1781,7 +1781,7 @@
 
 =head2 Programmer's notes
 
-Programmers might find the following information usefull when trying
+Programmers might find the following information useful when trying
 to debug XBase::Index from their files:
 
 The XBase::Index module contains the basic XBase::Index package and
--- a/lib/XBase/Memo.pm
+++ b/lib/XBase/Memo.pm
@@ -303,7 +303,7 @@
 .dbt, .fpt and .smt (code for this provided by Dirk Tostmann).
 Package XBase::Memo defines methods B<read_header> to parse that header
 of the file and set object's structures, B<write_record> and
-B<last_record> to write the records properly formated and find the end
+B<last_record> to write the records properly formatted and find the end
 of file.
 
 There are four separate subpackages in XBase::Memo, dBaseIII, dBaseIV,
